<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>SourceSet (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SourceSet (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/tasks/SkipWhenEmpty.html" title="annotation in org.gradle.api.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/SourceSet.html" target="_top">Frames</a></li>
<li><a href="SourceSet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks</div>
<h2 title="Interface SourceSet" class="title">Interface SourceSet</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="strong">SourceSet</span></pre>
<div class="block">A <code>SourceSet</code> represents a logical group of Java source and resources.
 <p>
 See the example below how <a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks"><code>SourceSet</code></a> 'main' is accessed and how the <a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file"><code>SourceDirectorySet</code></a> 'java'
 is configured to exclude some package from compilation.

 <pre class='autoTested'>
 apply plugin: 'java'

 sourceSets {
   main {
     java {
       exclude 'some/unwanted/package/**'
     }
   }
 }
 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#MAIN_SOURCE_SET_NAME">MAIN_SOURCE_SET_NAME</a></strong></code>
<div class="block">The name of the main source set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#TEST_SOURCE_SET_NAME">TEST_SOURCE_SET_NAME</a></strong></code>
<div class="block">The name of the test source set.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#compiledBy(java.lang.Object...)">compiledBy</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;taskPaths)</code>
<div class="block">Registers a set of tasks which are responsible for compiling this source set into the classes directory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getAllJava()">getAllJava</a></strong>()</code>
<div class="block">All Java source files for this source set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getAllSource()">getAllSource</a></strong>()</code>
<div class="block">All source files for this source set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getApiConfigurationName()">getApiConfigurationName</a></strong>()</code>
<div class="block">Returns the name of the API configuration for this source set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getApiElementsConfigurationName()">getApiElementsConfigurationName</a></strong>()</code>
<div class="block">Returns the name of the configuration that should be used when compiling against the API
 of this component.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getClassesTaskName()">getClassesTaskName</a></strong>()</code>
<div class="block">Returns the name of the classes task for this source set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getCompileClasspath()">getCompileClasspath</a></strong>()</code>
<div class="block">Returns the classpath used to compile this source.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getCompileClasspathConfigurationName()">getCompileClasspathConfigurationName</a></strong>()</code>
<div class="block">Returns the name of the compile classpath configuration for this source set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getCompileConfigurationName()">getCompileConfigurationName</a></strong>()</code>
<div class="block">Returns the name of the compile configuration for this source set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getCompileJavaTaskName()">getCompileJavaTaskName</a></strong>()</code>
<div class="block">Returns the name of the compile Java task for this source set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getCompileOnlyConfigurationName()">getCompileOnlyConfigurationName</a></strong>()</code>
<div class="block">Returns the name of the compile only configuration for this source set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getCompileTaskName(java.lang.String)">getCompileTaskName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;language)</code>
<div class="block">Returns the name of a compile task for this source set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getImplementationConfigurationName()">getImplementationConfigurationName</a></strong>()</code>
<div class="block">Returns the name of the implementation configuration for this source set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getJarTaskName()">getJarTaskName</a></strong>()</code>
<div class="block">Returns the name of the Jar task for this source set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getJava()">getJava</a></strong>()</code>
<div class="block">Returns the Java source which is to be compiled by the Java compiler into the class output directory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getName()">getName</a></strong>()</code>
<div class="block">Returns the name of this source set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks">SourceSetOutput</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getOutput()">getOutput</a></strong>()</code>
<div class="block"><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a> is a <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><code>FileCollection</code></a> of all output directories (compiled classes, processed resources, etc.)
  and it provides means to configure the default output dirs and register additional output dirs.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getProcessResourcesTaskName()">getProcessResourcesTaskName</a></strong>()</code>
<div class="block">Returns the name of the resource process task for this source set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getResources()">getResources</a></strong>()</code>
<div class="block">Returns the non-Java resources which are to be copied into the resources output directory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getRuntimeClasspath()">getRuntimeClasspath</a></strong>()</code>
<div class="block">Returns the classpath used to execute this source.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getRuntimeClasspathConfigurationName()">getRuntimeClasspathConfigurationName</a></strong>()</code>
<div class="block">Returns the name of the runtime classpath configuration of this component: the runtime
 classpath contains elements of the implementation, as well as runtime only elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getRuntimeConfigurationName()">getRuntimeConfigurationName</a></strong>()</code>
<div class="block">Returns the name of the runtime configuration for this source set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getRuntimeElementsConfigurationName()">getRuntimeElementsConfigurationName</a></strong>()</code>
<div class="block">Returns the name of the configuration containing elements that are stricly required
 at runtime.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getRuntimeOnlyConfigurationName()">getRuntimeOnlyConfigurationName</a></strong>()</code>
<div class="block">Returns the name of the configuration that contains dependencies that are only required
 at runtime of the component.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#getTaskName(java.lang.String,%20java.lang.String)">getTaskName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;verb,
           <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;target)</code>
<div class="block">Returns the name of a task for this source set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#java(org.gradle.api.Action)">java</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&gt;&nbsp;configureAction)</code>
<div class="block">Configures the Java source for this set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#java(groovy.lang.Closure)">java</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</code>
<div class="block">Configures the Java source for this set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#resources(org.gradle.api.Action)">resources</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&gt;&nbsp;configureAction)</code>
<div class="block">Configures the non-Java resources for this set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#resources(groovy.lang.Closure)">resources</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</code>
<div class="block">Configures the non-Java resources for this set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#setCompileClasspath(org.gradle.api.file.FileCollection)">setCompileClasspath</a></strong>(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</code>
<div class="block">Sets the classpath used to compile this source.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSet.html#setRuntimeClasspath(org.gradle.api.file.FileCollection)">setRuntimeClasspath</a></strong>(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</code>
<div class="block">Sets the classpath used to execute this source.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="MAIN_SOURCE_SET_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAIN_SOURCE_SET_NAME</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> MAIN_SOURCE_SET_NAME</pre>
<div class="block">The name of the main source set.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.tasks.SourceSet.MAIN_SOURCE_SET_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TEST_SOURCE_SET_NAME">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TEST_SOURCE_SET_NAME</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TEST_SOURCE_SET_NAME</pre>
<div class="block">The name of the test source set.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.tasks.SourceSet.TEST_SOURCE_SET_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block">Returns the name of this source set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The name. Never returns null.</dd></dl>
</li>
</ul>
<a name="getCompileClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompileClasspath</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getCompileClasspath()</pre>
<div class="block">Returns the classpath used to compile this source.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The classpath. Never returns null.</dd></dl>
</li>
</ul>
<a name="setCompileClasspath(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCompileClasspath</h4>
<pre>void&nbsp;setCompileClasspath(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</pre>
<div class="block">Sets the classpath used to compile this source.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>classpath</code> - The classpath. Should not be null.</dd></dl>
</li>
</ul>
<a name="getRuntimeClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRuntimeClasspath</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getRuntimeClasspath()</pre>
<div class="block">Returns the classpath used to execute this source.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The classpath. Never returns null.</dd></dl>
</li>
</ul>
<a name="setRuntimeClasspath(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRuntimeClasspath</h4>
<pre>void&nbsp;setRuntimeClasspath(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</pre>
<div class="block">Sets the classpath used to execute this source.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>classpath</code> - The classpath. Should not be null.</dd></dl>
</li>
</ul>
<a name="getOutput()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutput</h4>
<pre><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks">SourceSetOutput</a>&nbsp;getOutput()</pre>
<div class="block"><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a> is a <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><code>FileCollection</code></a> of all output directories (compiled classes, processed resources, etc.)
  and it provides means to configure the default output dirs and register additional output dirs. See examples in <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The output dirs, as a <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a>.</dd></dl>
</li>
</ul>
<a name="compiledBy(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compiledBy</h4>
<pre><a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;compiledBy(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;taskPaths)</pre>
<div class="block">Registers a set of tasks which are responsible for compiling this source set into the classes directory. The
 paths are evaluated as per <a href="../../../../org/gradle/api/Task.html#dependsOn(java.lang.Object...)"><code>Task.dependsOn(Object...)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>taskPaths</code> - The tasks which compile this source set.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getResources()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResources</h4>
<pre><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&nbsp;getResources()</pre>
<div class="block">Returns the non-Java resources which are to be copied into the resources output directory.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the resources. Never returns null.</dd></dl>
</li>
</ul>
<a name="resources(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resources</h4>
<pre><a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;resources(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</pre>
<div class="block">Configures the non-Java resources for this set.

 <p>The given closure is used to configure the <a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file"><code>SourceDirectorySet</code></a> which contains the resources.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureClosure</code> - The closure to use to configure the resources.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="resources(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resources</h4>
<pre><a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;resources(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&gt;&nbsp;configureAction)</pre>
<div class="block">Configures the non-Java resources for this set.

 <p>The given action is used to configure the <a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file"><code>SourceDirectorySet</code></a> which contains the resources.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureAction</code> - The action to use to configure the resources.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getJava()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJava</h4>
<pre><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&nbsp;getJava()</pre>
<div class="block">Returns the Java source which is to be compiled by the Java compiler into the class output directory.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the Java source. Never returns null.</dd></dl>
</li>
</ul>
<a name="java(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>java</h4>
<pre><a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;java(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</pre>
<div class="block">Configures the Java source for this set.

 <p>The given closure is used to configure the <a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file"><code>SourceDirectorySet</code></a> which contains the Java source.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureClosure</code> - The closure to use to configure the Java source.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="java(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>java</h4>
<pre><a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;java(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&gt;&nbsp;configureAction)</pre>
<div class="block">Configures the Java source for this set.

 <p>The given action is used to configure the <a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file"><code>SourceDirectorySet</code></a> which contains the Java source.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureAction</code> - The action to use to configure the Java source.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getAllJava()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllJava</h4>
<pre><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&nbsp;getAllJava()</pre>
<div class="block">All Java source files for this source set. This includes, for example, source which is directly compiled, and
 source which is indirectly compiled through joint compilation.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the Java source. Never returns null.</dd></dl>
</li>
</ul>
<a name="getAllSource()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllSource</h4>
<pre><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&nbsp;getAllSource()</pre>
<div class="block">All source files for this source set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the source. Never returns null.</dd></dl>
</li>
</ul>
<a name="getClassesTaskName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClassesTaskName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getClassesTaskName()</pre>
<div class="block">Returns the name of the classes task for this source set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The task name. Never returns null.</dd></dl>
</li>
</ul>
<a name="getProcessResourcesTaskName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProcessResourcesTaskName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getProcessResourcesTaskName()</pre>
<div class="block">Returns the name of the resource process task for this source set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The task name. Never returns null.</dd></dl>
</li>
</ul>
<a name="getCompileJavaTaskName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompileJavaTaskName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCompileJavaTaskName()</pre>
<div class="block">Returns the name of the compile Java task for this source set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The task name. Never returns null.</dd></dl>
</li>
</ul>
<a name="getCompileTaskName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompileTaskName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCompileTaskName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;language)</pre>
<div class="block">Returns the name of a compile task for this source set.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>language</code> - The language to be compiled.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The task name. Never returns null.</dd></dl>
</li>
</ul>
<a name="getJarTaskName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJarTaskName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getJarTaskName()</pre>
<div class="block">Returns the name of the Jar task for this source set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The task name. Never returns null.</dd></dl>
</li>
</ul>
<a name="getTaskName(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTaskName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTaskName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;verb,
                 <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;target)</pre>
<div class="block">Returns the name of a task for this source set.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>verb</code> - The action, may be null.</dd><dd><code>target</code> - The target, may be null</dd>
<dt><span class="strong">Returns:</span></dt><dd>The task name, generally of the form ${verb}${name}${noun}</dd></dl>
</li>
</ul>
<a name="getCompileConfigurationName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompileConfigurationName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCompileConfigurationName()</pre>
<div class="block">Returns the name of the compile configuration for this source set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The configuration name</dd></dl>
</li>
</ul>
<a name="getRuntimeConfigurationName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRuntimeConfigurationName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getRuntimeConfigurationName()</pre>
<div class="block">Returns the name of the runtime configuration for this source set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The runtime configuration name</dd></dl>
</li>
</ul>
<a name="getCompileOnlyConfigurationName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompileOnlyConfigurationName</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCompileOnlyConfigurationName()</pre>
<div class="block">Returns the name of the compile only configuration for this source set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The compile only configuration name</dd><dt><span class="strong">Since:</span></dt>
  <dd>2.12</dd></dl>
</li>
</ul>
<a name="getCompileClasspathConfigurationName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompileClasspathConfigurationName</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCompileClasspathConfigurationName()</pre>
<div class="block">Returns the name of the compile classpath configuration for this source set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The compile classpath configuration</dd><dt><span class="strong">Since:</span></dt>
  <dd>2.12</dd></dl>
</li>
</ul>
<a name="getApiConfigurationName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApiConfigurationName</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getApiConfigurationName()</pre>
<div class="block">Returns the name of the API configuration for this source set. The API configuration
 contains dependencies which are exported by this source set, and is not transitive
 by default. This configuration is not meant to be resolved and should only contain
 dependencies that are required when compiling against this component.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The API configuration name</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.3</dd></dl>
</li>
</ul>
<a name="getImplementationConfigurationName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getImplementationConfigurationName</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getImplementationConfigurationName()</pre>
<div class="block">Returns the name of the implementation configuration for this source set. The implementation
 configuration should contain dependencies which are specific to the implementation of the component
 (internal APIs).</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The configuration name</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
<a name="getApiElementsConfigurationName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApiElementsConfigurationName</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getApiElementsConfigurationName()</pre>
<div class="block">Returns the name of the configuration that should be used when compiling against the API
 of this component. This configuration is meant to be consumed by other components when
 they need to compile against it.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The API compile configuration name</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.3</dd></dl>
</li>
</ul>
<a name="getRuntimeOnlyConfigurationName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRuntimeOnlyConfigurationName</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getRuntimeOnlyConfigurationName()</pre>
<div class="block">Returns the name of the configuration that contains dependencies that are only required
 at runtime of the component. Dependencies found in this configuration are visible to
 the runtime classpath of the component, but not to consumers.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the runtime only configuration name</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
<a name="getRuntimeClasspathConfigurationName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRuntimeClasspathConfigurationName</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getRuntimeClasspathConfigurationName()</pre>
<div class="block">Returns the name of the runtime classpath configuration of this component: the runtime
 classpath contains elements of the implementation, as well as runtime only elements.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the name of the runtime classpath configuration</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
<a name="getRuntimeElementsConfigurationName()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRuntimeElementsConfigurationName</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getRuntimeElementsConfigurationName()</pre>
<div class="block">Returns the name of the configuration containing elements that are stricly required
 at runtime. Consumers of this configuration will get all the mandatory elements for
 this component to execute at runtime.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the name of the runtime elements configuration.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/tasks/SkipWhenEmpty.html" title="annotation in org.gradle.api.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/SourceSet.html" target="_top">Frames</a></li>
<li><a href="SourceSet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
